function calc_basin_pixels(migration_distance)

if ispc
    addpath(genpath('D:/work/Fellowship_Leeds/Data'));
else
    addpath(genpath('/resstore/b0133/Data/MATLAB_tools'));
end

% Gate locations
g = load('../out/pub/gates/flux_gates_migrated.mat');
migration_distances = 0:200:3000; % metres
migration_pixels = find(migration_distances == migration_distance); % metres
gate_x = g.gate_x_migrate{migration_pixels};
gate_y = g.gate_y_migrate{migration_pixels};
gate_nan = isnan(gate_x); % indices of gate nans
clear g

% basin info
load('../out/int/basins/all_basins.mat');

% make directories
mkdir('../out/int/gate_data/pixels_in_basins');
mkdir(['../out/int/gate_data/pixels_in_basins/' num2str(migration_distance) 'm']);

for j = 1:numel(basins.name)
    if j == 1
        tf = logical(ones([length(gate_x),1]));
    else
        tf = inpoly2([gate_x(:),gate_y(:)],[basins.x{j},basins.y{j}]);
        % Sometimes we end up with a few little segments that need to be joined
        sections = regionprops(tf==1, tf,'pixelIdxList','PixelValues');
        if numel(sections)>1
            tf = double(tf);
            tf(tf==0) = NaN;
            tf = fillmissing(double(tf),'linear','EndValues','none','MaxGap',500); % limit the infill size to try and stop it wrapping round...
            tf(isnan(tf)) = 0;
            tf = logical(tf);
        end
    end
    save(['../out/int/gate_data/pixels_in_basins/' num2str(migration_distance) 'm/' num2str(j) '_' basins.name{j} '_tf_pixels_in_basin_' num2str(migration_distance) 'm.mat'],'tf');
end

end