#!/bin/bash -l

cd /resstore/b0133/earbda/AIS_discharge/v3/update

module load matlab/R2022a

# Get the last filled job
job_id=$(sed -n -e "1 p" last_fill_job.txt)

# Submit FrankenBed and store the job IDs to delay producing FrankenBedAdj
job_id_FB0=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 0 FrankenBed)
job_id_FB200=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 200 FrankenBed)
job_id_FB400=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 400 FrankenBed)
job_id_FB600=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 600 FrankenBed)
job_id_FB800=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 800 FrankenBed)
job_id_FB1000=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1000 FrankenBed)
job_id_FB1200=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1200 FrankenBed)
job_id_FB1400=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1400 FrankenBed)
job_id_FB1600=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1600 FrankenBed)
job_id_FB1800=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1800 FrankenBed)
job_id_FB2000=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2000 FrankenBed)
job_id_FB2200=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2200 FrankenBed)
job_id_FB2400=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2400 FrankenBed)
job_id_FB2600=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2600 FrankenBed)
job_id_FB2800=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2800 FrankenBed)
job_id_FB3000=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 3000 FrankenBed)

# Submit FrankenBedAdj, to start after each of the FrankenBed jobs. Grab the job ID from one so we can line up merging
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB0} ./discharge_func.sh 0 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB200} ./discharge_func.sh 200 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB400} ./discharge_func.sh 400 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB600} ./discharge_func.sh 600 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB800} ./discharge_func.sh 800 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB1000} ./discharge_func.sh 1000 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB1200} ./discharge_func.sh 1200 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB1400} ./discharge_func.sh 1400 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB1600} ./discharge_func.sh 1600 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB1800} ./discharge_func.sh 1800 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB2000} ./discharge_func.sh 2000 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB2200} ./discharge_func.sh 2200 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB2400} ./discharge_func.sh 2400 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB2600} ./discharge_func.sh 2600 FrankenBedAdj
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB2800} ./discharge_func.sh 2800 FrankenBedAdj
job_id0=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id_FB3000} ./discharge_func.sh 3000 FrankenBedAdj)

# Submit BedMachine straight away
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 0 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 200 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 400 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 600 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 800 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1000 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1200 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1400 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1600 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1800 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2000 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2200 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2400 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2600 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2800 BedMachine
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 3000 BedMachine

# Submit BedMap2 straight away
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 0 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 200 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 400 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 600 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 800 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1000 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1200 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1400 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1600 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1800 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2000 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2200 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2400 BedMap2
qsub -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2600 BedMap2
job_id1=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id0} ./discharge_func.sh 2800 BedMap2)
job_id2=$(qsub -terse -V -cwd -l h_rt=02:15:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id1} ./discharge_func.sh 3000 BedMap2)

# Then merge the discharge
job_id3=$(qsub -terse -V -cwd -l h_rt=01:00:00 -l h_vmem=16G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id2} ./merge_func.sh)

# Then plot the summary figures
rm -rf /resstore/b0133/earbda/AIS_discharge/v3/out/pub/figures/summary_figs
mkdir /resstore/b0133/earbda/AIS_discharge/v3/out/pub/figures/summary_figs
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1 100
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 101 200
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 201 300
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 301 400
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 401 500
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 501 600
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 601 700
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 701 800
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 801 900
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 901 1000
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1001 1100
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1101 1200
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1201 1300
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1301 1400
qsub -V -cwd -l h_rt=04:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh 1401 1500




